Saltar al contenido principal
POST
/
v1
/
organizations
/
{organization_id}
/
ledgers
/
{ledger_id}
/
account-types
Crear un Tipo de Cuenta
curl --request POST \
  --url https://ledger.sandbox.lerian.net/v1/organizations/{organization_id}/ledgers/{ledger_id}/account-types \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: <content-type>' \
  --data '
{
  "name": "Transactional Account",
  "description": "Account type used for day-to-day payments, transfers, and liquidity operations",
  "keyValue": "CHECKING",
  "metadata": {
    "supportsOverdraft": true,
    "minimumBalance": 0,
    "statementFrequency": "monthly",
    "category": "retail",
    "internalCode": "ACC_TYPE_TX_001"
  }
}
'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "name": "<string>",
  "description": "<string>",
  "keyValue": "<string>",
  "createdAt": "2023-11-07T05:31:56Z",
  "updatedAt": "2023-11-07T05:31:56Z",
  "deletedAt": "2023-11-07T05:31:56Z",
  "metadata": {}
}

Autorizaciones

Authorization
string
header
requerido

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Encabezados

Authorization
string

El token de autorización. Este encabezado es requerido si su entorno tiene el Access Manager habilitado.

Content-Type
string
requerido

El tipo de medio del recurso. Debe ser application/json.

X-Request-Id
string<uuid>

Un identificador único utilizado para rastrear y seguir cada solicitud.

Parámetros de ruta

organization_id
string
requerido

The unique identifier of the Organization associated with the Ledger.

ledger_id
string
requerido

The unique identifier of the associated Ledger.

Cuerpo

application/json
name
string
requerido

Name of the Account Type.

keyValue
string
requerido

Unique identifier for the Account Type being created. Important: If the Account Types feature is enabled, this value becomes mandatory when creating accounts — only previously registered keyValues will be accepted in the type field of the Accounts API. Accepted characters: lowercase alphanumeric, dashes (-), and underscores (_).

description
string

Description of the Account Type.

metadata
object

An object containing key-value pairs to add as metadata, where the field name is the key and the field value is the value. For example, to add a Cost Center, use 'costCenter': 'BR_11101997'.

Respuesta

Indica que el recurso fue creado exitosamente y la operación se completó como se esperaba.

id
string<uuid>

The unique identifier of the Account Type.

name
string

Name of the Account Type.

description
string

Description of the Account Type.

keyValue
string

Unique identifier for the Account Type created.

createdAt
string<date-time>

Timestamp of creation (UTC).

updatedAt
string<date-time>

Timestamp of last update (UTC).

deletedAt
string<date-time> | null

Timestamp of soft deletion, if applicable (UTC).

metadata
object

An object containing key-value pairs to add as metadata, where the field name is the key and the field value is the value. For example, to add a Cost Center, use 'costCenter': 'BR_11101997'.